Unpack (Apache Ant API)
Keywords: org.apache.tools.ant.taskdefs.Unpack,Unpack class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.tools.ant.taskdefs
Class Unpack

    java.lang.Object
      |
      +--org.apache.tools.ant.ProjectComponent
            |
            +--org.apache.tools.ant.Task
                  |
                  +--org.apache.tools.ant.taskdefs.Unpack

Direct Known Subclasses:
  BUnzip2, GUnzip

public abstract class Unpack
extends Task

Abstract Base class for unpack tasks.

Since:
  Ant 1.5

Field Summary
`protected java.io.File` | `dest`
`protected java.io.File` | `source`

Fields inherited from class org.apache.tools.ant.Task
`description, location, target, taskName, taskType, wrapper`

Fields inherited from class org.apache.tools.ant.ProjectComponent
`project`

Constructor Summary
`Unpack()`

Method Summary
`void` | `execute()` Called by the project to let the task do its work.
`protected abstract void` | `extract()`
`protected abstract java.lang.String` | `getDefaultExtension()`
`void` | `setDest(java.io.File dest)` The destination file or directory; optional.
`void` | `setDest(java.lang.String dest)` Deprecated. setDest(String) is deprecated and is replaced with setDest(File) to make Ant's Introspection mechanism do the work and also to encapsulate operations on the type in its own class.
`void` | `setSrc(java.io.File src)` The file to expand; required.
`void` | `setSrc(java.lang.String src)` Deprecated. setSrc(String) is deprecated and is replaced with setSrc(File) to make Ant's Introspection mechanism do the work and also to encapsulate operations on the type in its own class.

Methods inherited from class org.apache.tools.ant.Task
`getDescription, getLocation, getOwningTarget, getRuntimeConfigurableWrapper, getTaskName, getTaskType, getWrapper, handleErrorFlush, handleErrorOutput, handleFlush, handleInput, handleOutput, init, isInvalid, log, log, maybeConfigure, perform, reconfigure, setDescription, setLocation, setOwningTarget, setRuntimeConfigurableWrapper, setTaskName, setTaskType`

Methods inherited from class org.apache.tools.ant.ProjectComponent
`getProject, setProject`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### source

    protected java.io.File source

### dest

    protected java.io.File dest

Constructor Detail

### Unpack

    public Unpack()

Method Detail

### setSrc

    public void setSrc(java.lang.String src)

  Deprecated. setSrc(String) is deprecated and is replaced with setSrc(File) to make Ant's Introspection mechanism do the work and also to encapsulate operations on the type in its own class.

### setDest

    public void setDest(java.lang.String dest)

  Deprecated. setDest(String) is deprecated and is replaced with setDest(File) to make Ant's Introspection mechanism do the work and also to encapsulate operations on the type in its own class.

### setSrc

    public void setSrc(java.io.File src)

  The file to expand; required.

  Parameters:
    `src` - file to expand

### setDest

    public void setDest(java.io.File dest)

  The destination file or directory; optional.

  Parameters:
    `dest` - destination file or directory

### execute

    public void execute()
                 throws BuildException

  Description copied from class: `Task`
  Called by the project to let the task do its work. This method may be called more than once, if the task is invoked more than once. For example, if target1 and target2 both depend on target3, then running "ant target1 target2" will run all tasks in target3 twice.

  Overrides:
    `execute` in class `Task`
  Throws:
    `BuildException` - if something goes wrong with the build

### getDefaultExtension

    protected abstract java.lang.String getDefaultExtension()

### extract

    protected abstract void extract()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2005 Apache Software Foundation. All Rights Reserved.